Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HVariableProperty

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HVariableProperty

    public class HVariableProperty

extends HObject

Efficient storage of properties (bpel properties). Useful for identification of process instances based on indexed lookup of property values.

Field Summary
`static java.lang.String` | `DELETE_VARIABLE_PROPERITES_BY_INSTANCE`
`static java.lang.String` | `DELETE_VARIABLE_PROPERITES_BY_PROCESS`

Constructor Summary
`HVariableProperty()`
`HVariableProperty(HXmlData var, java.lang.String name, java.lang.String value)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`HXmlData` | `getXmlData()`
`void` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`
`void` | `setXmlData(HXmlData xmldata)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_VARIABLE_PROPERITES_BY_PROCESS

    public static final java.lang.String DELETE_VARIABLE_PROPERITES_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_VARIABLE_PROPERITES_BY_INSTANCE

    public static final java.lang.String DELETE_VARIABLE_PROPERITES_BY_INSTANCE

See Also:
  Constant Field Values

Constructor Detail

### HVariableProperty

    public HVariableProperty()

### HVariableProperty

    public HVariableProperty(HXmlData var,
                             java.lang.String name,
                             java.lang.String value)

Method Detail

### getXmlData

    public HXmlData getXmlData()

### setXmlData

    public void setXmlData(HXmlData xmldata)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD